You are here: Security Center > Mozilla Foundation Security Advisories > MFSA 2009-57

Mozilla Foundation Security Advisory 2009-57

Title: Chrome privilege escalation in XPCVariant::VariantDataToJS()
Impact: Critical
Announced: October 27, 2009
Reporter: moz_bug_r_a4
Products: Firefox

Fixed in: Firefox 3.5.4
  Firefox 3.0.15

Description

Mozilla security researcher moz_bug_r_a4 reported that the XPCOM utility XPCVariant::VariantDataToJS unwrapped doubly-wrapped objects before returning them to chrome callers. This could result in chrome privileged code calling methods on an object which had previously been created or modified by web content, potentially executing malicious JavaScript code with chrome privileges.

Workaround

Disable JavaScript until a version containing these fixes can be installed.

References